require 'kameleoon/targeting/models'
require 'kameleoon/targeting/conditions/custom_datum'

module Kameleoon
  #@api private
  module Targeting
    module ConditionFactory
      def get_condition(condition_json)
        condition = nil
        if condition_json['targetingType'] == ConditionType::CUSTOM_DATUM.to_s
          condition = CustomDatum.new(condition_json)
        end
        condition
      end
    end
  end
end